Bug 821450 - X crashes (due to QXL)
X crashes (due to QXL)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-qxl (Show other bugs)
17
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-14 10:17 EDT by Yaniv Kaul
Modified: 2013-07-03 22:44 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-26 14:45:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaniv Kaul 2012-05-14 10:17:28 EDT
Description of problem:
I'm running qemu-kvm (git hash e54f008ef8f968cfc2f3ecab78491d180fa31efc, kvm module from F17 - qemu-kvm-1.0-17.fc17.x86_64), with spice (git hash c211774422455802299545b19ffdffd9496fdc31) and F17 VM (installed from the live beta to a hard disk, then fully updated to latest available packages).
X always crashes with the following in /var/log/gdm/:0.log:
bpp == 8 triggers bugs in spice apparently
slots start: 1, slots end: 7
done reset
primary is 0x1d1f700
   Zero width or height
new stride: 10240 (display width: 2560, bpp: 4)
   Bad bpp: 1 (1)
   Bad bpp: 1 (1)
   Bad bpp: 1 (1)
   Bad bpp: 1 (1)

qemu-kvm command line:
./x86_64-softmmu/qemu-system-x86_64 -spice port=6902,disable-ticketing,jpeg-wan-compression=always,zlib-glz-wan-compression=always,playback-compression=on -k en-us -name F17_Beta -boot c -drive file=~/f17a.qcow2,if=virtio,cache=writethrough,media=disk,format=qcow2 -drive file=~/Downloads/Fedora-17-Beta-x86_64-Live-Desktop.iso,if=ide,media=cdrom -soundhw hda -m 2048 -cpu core2duo,+x2apic -smp 2 -balloon none -monitor stdio --parallel none -vga qxl -uuid 93226831-ade7-47ea-be28-5e1926d0b7a7

Version-Release number of selected component (if applicable):
0.0.22

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Cole Robinson 2013-06-26 14:45:20 EDT
Given the approaching end-of-life for F17, and that F17 qxl hasn't been updated
in a year, I don't think this bug will be fixed. If anyone can reproduce with
F19, please reopen.

Note You need to log in before you can comment on or make changes to this bug.